Bug 867388 - Documentation of effect of pulp configuration
Documentation of effect of pulp configuration
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Release Notes (Show other bugs)
1.1.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Julie
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:20 EDT by Bryan Kearney
Modified: 2012-12-10 17:03 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 865811
Environment:
Last Closed: 2012-12-10 17:03:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 James Laska 2012-10-17 09:30:34 EDT
With the fix for bug#865811, katello-configure now adapts the pulp.conf settings to reflect the optimal level for the system it's running on.  katello-configure takes into account the number of cores available on the system.

If the pulp timeouts are addressed by automatically setting an appropriate value in pulp.conf, what is needed for documentation for customers?  

If we want to document tuning the setting in pulp.conf, my impression is that might be better suited for kbase.  Thoughts?
Comment 9 Julie 2012-10-24 19:59:01 EDT
#867388

    When synchronizing large channels, Pulp may return timeout errors. To keep Pulp from saturating its task queue, add the following lines to the /etc/pulp/pulp.conf file:

    [tasking]
    concurrency_threshold = N

    N refers to double the number of CPUs less one (2 * #CPUs - 1). The recommended minimum number of CPUs is two, so the minimum recommended value for the concurrency_threshold is 3 (2x2-1). These configuration values will adjust the number of concurrent synchronizations to a level where the server is responsive to subsequent requests.
Comment 10 Lukas Zapletal 2012-11-05 06:07:21 EST
Should we add a katello-configure option for this? If this is important setting, we definitely should.
Comment 11 Lana Brindley 2012-12-10 17:03:03 EST
This document is now publicly available on access.redhat.com. For any further issues, please raise a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.